Bug 1478075 - Uncomment generate_fsid: true as default value in all.yml.sample
Uncomment generate_fsid: true as default value in all.yml.sample
Status: CLOSED NOTABUG
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 3.0
Assigned To: leseb
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 10:16 EDT by khartsoe@redhat.com
Modified: 2017-08-16 09:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-16 09:42:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
icolle: needinfo+


Attachments (Terms of Use)

  None (edit)
Description khartsoe@redhat.com 2017-08-03 10:16:47 EDT
Description of problem:
Currently, user is required to manually uncomment and change "generate_fsid: true" to "generate_fsid: false" when configuring ceph global settings. 

This requires an additional manual task during installation.

Version-Release number of selected component (if applicable):
2.x, etc.

How reproducible:
As root, create an all.yml file from the all.yml.sample file, uncomment "generate_fsid: true" and set to "generate_fsid: false"

Steps to Reproduce:
Step 7:
https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/2/html-single/installation_guide_for_red_hat_enterprise_linux/#configuring_ceph_global_settings

Actual results:
all.yml.sample file default value "generate_fsid: true" is commented out and must be manually set to "generate_fsid: false"

Expected results:
all.yml.sample file default value ("generate_fsid: true") should be uncommented by default to prevent user action and therefore, reduce required user tasks during installation.

Additional info:
https://docs.google.com/document/d/14c6cx2PY6xe2XC0N9sFY8Jc-VobAy_LjpTxJsrOL_q8/edit

Driven by RHCS-LT Process Improvement effort
Comment 2 seb 2017-08-03 10:52:42 EDT
The doc needs to be reworked, this action is not needed unless someone wants to specify a specific uuid.

Bara, can you move this to doc?
Thanks!
Comment 3 khartsoe@redhat.com 2017-08-03 11:55:16 EDT
Hi Sebastien...agree this is doc driven as docs will be implementing "generate_fsid: true" during install; this BZ request is for eng to remove the "#" for "generate_fsid: true" in all.yml file so user does not have manually uncomment.
Comment 4 khartsoe@redhat.com 2017-08-03 11:55:59 EDT
Correction...I meant all.yml.sample file
Comment 5 Andrew Schoen 2017-08-09 10:29:43 EDT
(In reply to khartsoe@redhat.com from comment #3)
> Hi Sebastien...agree this is doc driven as docs will be implementing
> "generate_fsid: true" during install; this BZ request is for eng to remove
> the "#" for "generate_fsid: true" in all.yml file so user does not have
> manually uncomment.

'generate_fsid: true' is already the default value for ceph-ansible. If the user wishes to allow ceph-ansible to generate their fsid, then no action is needed in all.yml. If the users wishes to provide their own fsid, then they will need to manually set 'fsid = $fsid'.

The values you see commented in all.yml.sample are the default values. These only need to be uncommented when they need to be modified.

Thanks,
Andrew

Note You need to log in before you can comment on or make changes to this bug.